<?php
declare(strict_types=1);

namespace App\ServiceResults;

final class ServiceResultArray extends ServiceResult
{
    public function __construct(
        private readonly array $data,
    ) { }

    public function getData(): array
    {
        return $this->data;
    }
}
